# $Revision: 1.9 $, $Date: 2004/02/24 20:09:28 $
Summary:	Airstrike
Summary(pl):	Airstrike - Plastikowy Czerwony Baron
Name:		airstrike
Version:	pre6a
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://icculus.org/airstrike/%{name}-%{version}-src.tar.gz
# Source0-md5:	af7367f9223309fbcf9759e04028394e
Patch0:		%{name}-pld.patch
Patch1:		%{name}-opt.patch
URL:		http://icculus.org/airstrike/
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Airstrike is a 2d dogfight game in the tradition of the Intellivision
and Amiga games 'Biplanes' and 'BIP'. It features a robust physics
engine and several other extensions of the original games. It is
currently 0-2 player only, but will hopefully have network play and
some more advanced computer controlled enemies in the future. The
graphics have been created using the Povray raytracer, and should be
easy to extend and modify. Airstrike is being developed using GNU
tools and the excellent SDL library, and has been ported from the
original Linux version to both Windows and Mac OSX.

%description -l pl
Airstrike jest dwuwymiarow gr polegajc na wzajemnym ostrzeliwaniu
si z plastikowych samolocikw, utrzyman w tradycji gier "Bigplanes"
i "BIP" z Intellivision i Amigi. Ma rozbudowany silnik fizyczny oraz
rne rozszerzenia oryginalnych gier. Aktualnie jest gr tylko dla 0-2
graczy, ale, miejmy nadziej, dorobi si obsugi gry przez sie oraz
bardziej zaawansowanych wrogw sterowanych przez komputer. Grafika
zostaa stworzona za pomoc raytracera Povray i powinna by atwa w
rozbudowywaniu i modyfikacji. Airstrike zosta stworzony przy uyciu
narzdzi GNU i wietnej biblioteki SDL, a z oryginalnej wersji
linuksowej zosta sportowany dodatkowo na Windows i Mac OSX.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/games/airstrike,%{_mandir}/man6,%{_bindir}}

cp -rf  data $RPM_BUILD_ROOT%{_datadir}/games/airstrike
install doc/airstrike.6 $RPM_BUILD_ROOT%{_mandir}/man6
install airstrike $RPM_BUILD_ROOT%{_bindir}
install airstrikerc $RPM_BUILD_ROOT%{_datadir}/games/airstrike

rm -f doc/airstrike.6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/games/airstrike

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: airstrike.spec,v $
Revision 1.9  2004/02/24 20:09:28  adamg
- fixed group

Revision 1.8  2004/02/10 21:54:44  qboosh
- longer pl description

Revision 1.7  2004/02/09 23:11:56  ankry
- commented out pl description - it's unfinished
- removed duplicated license info

Revision 1.6  2004/02/08 00:43:53  qboosh
- added opt patch, use optflags; removed copy of manual from doc

Revision 1.5  2004/02/07 23:38:37  qboosh
- missing dir

Revision 1.4  2004/02/07 17:07:20  adamg
- fixed %%files

Revision 1.3  2004/02/07 14:44:02  mwinkler
- fix s/_make/__make/

Revision 1.2  2004/02/06 23:11:08  domelu
- cosmetics

Revision 1.1  2004/02/06 23:08:39  domelu
- init by elio
- some fixes
